Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.28
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.pkcs
Class RSAESOAEPparams

    java.lang.Object
      org.bouncycastle.asn1.ASN1Encodable
          org.bouncycastle.asn1.pkcs.RSAESOAEPparams

All Implemented Interfaces:
  DEREncodable

    public class RSAESOAEPparams

extends ASN1Encodable

Field Summary
`static AlgorithmIdentifier` | `DEFAULT_HASH_ALGORITHM`
`static AlgorithmIdentifier` | `DEFAULT_MASK_GEN_FUNCTION`
`static AlgorithmIdentifier` | `DEFAULT_P_SOURCE_ALGORITHM`

Constructor Summary
`RSAESOAEPparams()` The default version
`RSAESOAEPparams(AlgorithmIdentifier hashAlgorithm, AlgorithmIdentifier maskGenAlgorithm, AlgorithmIdentifier pSourceAlgorithm)`
`RSAESOAEPparams(ASN1Sequence seq)`

Method Summary
`AlgorithmIdentifier` | `getHashAlgorithm()`
`static RSAESOAEPparams` | `getInstance(java.lang.Object obj)`
`AlgorithmIdentifier` | `getMaskGenAlgorithm()`
`AlgorithmIdentifier` | `getPSourceAlgorithm()`
`DERObject` | `toASN1Object()` RSAES-OAEP-params ::= SEQUENCE { hashAlgorithm [0] OAEP-PSSDigestAlgorithms DEFAULT sha1, maskGenAlgorithm [1] PKCS1MGFAlgorithms DEFAULT mgf1SHA1, pSourceAlgorithm [2] PKCS1PSourceAlgorithms DEFAULT pSpecifiedEmpty } OAEP-PSSDigestAlgorithms ALGORITHM-IDENTIFIER ::= { { OID id-sha1 PARAMETERS NULL }| { OID id-sha256 PARAMETERS NULL }| { OID id-sha384 PARAMETERS NULL }| { OID id-sha512 PARAMETERS NULL }, ... -- Allows for future expansion -- } PKCS1MGFAlgorithms ALGORITHM-IDENTIFIER ::= { { OID id-mgf1 PARAMETERS OAEP-PSSDigestAlgorithms }, ... -- Allows for future expansion -- } PKCS1PSourceAlgorithms ALGORITHM-IDENTIFIER ::= { { OID id-pSpecified PARAMETERS OCTET STRING }, ... -- Allows for future expansion -- }

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`equals, getDERObject, getEncoded, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_HASH_ALGORITHM

    public static final AlgorithmIdentifier DEFAULT_HASH_ALGORITHM

### DEFAULT_MASK_GEN_FUNCTION

    public static final AlgorithmIdentifier DEFAULT_MASK_GEN_FUNCTION

### DEFAULT_P_SOURCE_ALGORITHM

    public static final AlgorithmIdentifier DEFAULT_P_SOURCE_ALGORITHM

Constructor Detail

### RSAESOAEPparams

    public RSAESOAEPparams()

  The default version

### RSAESOAEPparams

    public RSAESOAEPparams(AlgorithmIdentifier hashAlgorithm,
                           AlgorithmIdentifier maskGenAlgorithm,
                           AlgorithmIdentifier pSourceAlgorithm)

### RSAESOAEPparams

    public RSAESOAEPparams(ASN1Sequence seq)

Method Detail

### getInstance

    public static RSAESOAEPparams getInstance(java.lang.Object obj)

### getHashAlgorithm

    public AlgorithmIdentifier getHashAlgorithm()

### getMaskGenAlgorithm

    public AlgorithmIdentifier getMaskGenAlgorithm()

### getPSourceAlgorithm

    public AlgorithmIdentifier getPSourceAlgorithm()

### toASN1Object

    public DERObject toASN1Object()

        RSAES-OAEP-params ::= SEQUENCE {
           hashAlgorithm      [0] OAEP-PSSDigestAlgorithms     DEFAULT sha1,
           maskGenAlgorithm   [1] PKCS1MGFAlgorithms  DEFAULT mgf1SHA1,
           pSourceAlgorithm   [2] PKCS1PSourceAlgorithms  DEFAULT pSpecifiedEmpty
         }

         OAEP-PSSDigestAlgorithms    ALGORITHM-IDENTIFIER ::= {
           { OID id-sha1 PARAMETERS NULL   }|
           { OID id-sha256 PARAMETERS NULL }|
           { OID id-sha384 PARAMETERS NULL }|
           { OID id-sha512 PARAMETERS NULL },
           ...  -- Allows for future expansion --
         }
         PKCS1MGFAlgorithms    ALGORITHM-IDENTIFIER ::= {
           { OID id-mgf1 PARAMETERS OAEP-PSSDigestAlgorithms },
          ...  -- Allows for future expansion --
         }
         PKCS1PSourceAlgorithms    ALGORITHM-IDENTIFIER ::= {
           { OID id-pSpecified PARAMETERS OCTET STRING },
           ...  -- Allows for future expansion --
        }

  Specified by:
    `toASN1Object` in class `ASN1Encodable`
  Returns:
    the asn1 primitive representing the parameters.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.28
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD